【已解决】MAC 使用pip安装包提示TLS证书错误解决办法

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/PancrasBohemian/article/details/81357250

好久没用pip,突然就有

There was a problem confirming the ssl certificate: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661) - skipping

No matching distribution found for xlrd

Could not fetch URL https://pypi.python.org/simple/xlrd/: There was a problem confirming the ssl certificate: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661) - skipping

Could not find a version that satisfies the requirement xlrd (from versions: )

找了一圈说用curl https://bootstrap.pypa.io/get-pip.py | python

可是不太管用,我从https://pypi.org/simple/pip/网站上,找了pip9.0.3.tar.gz下载下来,然后解压到/User/{你的用户名}下,解压,然后pip install ./pip-9.0.3/就好了~

展开阅读全文

没有更多推荐了,返回首页